### File

`projects/app-base-library/src/lib/shared/user.ts`

### Index

###### Properties

- _profile
- authData
- authenticated
- data
- email
- id
- name
- password

### Constructor

`constructor(profile: any)`
Defined in projects/app-base-library/src/lib/shared/user.ts:10

Parameters :

Name | Type | Optional
profile | `any` | no

### Properties

_profile
`_profile: `any``
Type : `any`
Defined in projects/app-base-library/src/lib/shared/user.ts:3

authData
`authData: `any``
Type : `any`
Defined in projects/app-base-library/src/lib/shared/user.ts:9

authenticated
`authenticated: `boolean``
Type : `boolean`
Defined in projects/app-base-library/src/lib/shared/user.ts:8

data
`data: `any``
Type : `any`
Defined in projects/app-base-library/src/lib/shared/user.ts:10

email
`email: `string``
Type : `string`
Defined in projects/app-base-library/src/lib/shared/user.ts:5

id
`id: `string``
Type : `string`
Defined in projects/app-base-library/src/lib/shared/user.ts:4

name
`name: `string``
Type : `string`
Defined in projects/app-base-library/src/lib/shared/user.ts:6

password
`password: `string``
Type : `string`
Defined in projects/app-base-library/src/lib/shared/user.ts:7

    export class User {

        _profile: any;
        id: string;
        email: string;
        name: string;
        password: string;
        authenticated: boolean;
        authData: any;
        data: any;

        constructor(profile: any) {
            this._profile = profile;
            Object.keys(profile).forEach((k) => {
                this[k] = profile[k];
            });
        }
    }

# results matching ""

# No results matching ""